<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="login"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content class="ion-padding">
  <div class="the-content">
    <div class="the-title">
      <h2>Welcome to Singup</h2>
    </div>
    <ion-grid style="height: 100%">
      <ion-row class="ion-justify-content-center ion-align-items-center " style="height: 100%">
        <div class="holder">
          <form [formGroup]="loginForm" (ngSubmit)="signup()">
            <div class="details">

              <div class="detail-item">
                <ion-label>Username</ion-label>
                <ion-item>
                  <span class="icn-holder" slot="end" *ngIf="!loginForm.get('username').invalid">
                    <ion-icon name="checkmark-circle"></ion-icon>
                  </span>
                  <ion-input formControlName="username" class="username" placeholder="Enter Name"> </ion-input>
                </ion-item>

                <div class="error-messages">
                  <ng-container *ngFor="let error of error_messages.username">
                    <div class="error-message"
                      *ngIf="loginForm.get('username').hasError(error.type) && (loginForm.get('username').dirty || loginForm.get('username').touched)">
                      {{error.message}}
                    </div>
                  </ng-container>
                </div>
              </div>

              <div class="detail-item">
                <ion-label>Email</ion-label>
                <ion-item>
                  <span class="icn-holder" slot="end" *ngIf="!loginForm.get('email').invalid">
                    <ion-icon name="checkmark-circle"></ion-icon>
                  </span>
                  <ion-input formControlName="email" class="email" placeholder="Enter Your Email" type="email">
                  </ion-input>
                </ion-item>

                <div class="error-messages">
                  <ng-container *ngFor="let error of error_messages.email">
                    <div class="error-message"
                      *ngIf="loginForm.get('email').hasError(error.type) && (loginForm.get('email').dirty || loginForm.get('email').touched)">
                      {{error.message}}
                    </div>
                  </ng-container>
                </div>
              </div>


              <div class="detail-item">
                <ion-label>Password</ion-label>
                <ion-item>
                  <span class="icn-holder" slot="end" *ngIf="!loginForm.get('password').invalid">
                    <ion-icon name="checkmark-circle"></ion-icon>
                  </span>
                  <ion-input class="password" placeholder="Password" formControlName="password"> </ion-input>
                </ion-item>
              </div>


              <div class="error-messages">
                <ng-container *ngFor="let error of error_messages.password">
                  <div class="error-message"
                    *ngIf="loginForm.get('password').hasError(error.type) && (loginForm.get('password').dirty || loginForm.get('password').touched)">
                    {{error.message}}
                  </div>
                </ng-container>
              </div>

              <div class="agreement-holder">
                <ion-item lines="none" class="ion-no-padding">
                  <ion-label class="ion-text-wrap">By creating an account, you agree to our
                    Term and Conditions</ion-label>
                  <ion-checkbox mode="ios" slot="start"></ion-checkbox>
                </ion-item>
              </div>

            </div>
            <div class="btn-holder ion-padding-top">
              <ion-button expand="block" type="submit" routerDirection="root" [disabled]="loginForm.invalid">
                Signup
              </ion-button>
            </div>

          </form>
        </div>
      </ion-row>
    </ion-grid>

  </div>
</ion-content>